package no.valg.valgnatt.database.forberedvalg.geografi;

import java.util.Collection;
import java.util.Map;
import java.util.TreeMap;

public class Fylke {
    private Map<String, Kommune> kommMap = new TreeMap<>();

    public Kommune getKommune(String kommnr) {
        return kommMap.get(kommnr);
    }

    public Collection<Kommune> getKommuner() {
        return kommMap.values();
    }

    public void leggTilKrets(Krets krets) {
        if (kommMap.get(krets.getKommnr()) == null) {
            kommMap.put(krets.getKommnr(), new Kommune());
        }
        kommMap.get(krets.getKommnr()).leggTilKrets(krets);
    }
}
